Subject: FW: [Autoconf] Subnet model

From: "Yi, Seung" <[email-masked]>
Date: Mon, 9 Oct 2006 07:57:29 -0700

Ralph,

Comments inline. 

> -----Original Message-----
> From: Ralph Droms [mailto:[email-masked]] 
> Sent: Sunday, October 08, 2006 4:59 PM
> To: Yi, Seung; [email-masked]
> Subject: Re: [Autoconf] Subnet model 
>
> > The was I understand things are like this. A "link" is a 
> communication 
> > facility under L3. I don't think there should be an assumption of 
> > bi-directional reachability on a link. It may or may not 
> provide such 
> > support. Joe gave a good example of wireless "links" that may not 
> > provide it.
> 
> OK ... But are there fundamental assumptions in IP about 
> bi-directional reachability?  E.g., will ARP, ND, IPv6 
> address autoconfiguration all work if bi-directional 
> reachability fails?
>

I'm not saying there should be such an assumption. Rather, I'm making an

observation that such an assumption seems to exist in many protocol 
designer's mind. ARP and IPv6 ND are the perfect examples. Obviously,
neither can work without the bi-directional reachability. Further, if
that 
assumption was "implicit", different operatinal environment of the MANET

brings it out to the front so that we actually have to deal with the
case 
when that assumption does not hold anymore and some protocols break 
as the result. Of course, what is the best way to approach this
challenge
will have to be discussed.
 
> 
> > A "subnet" is an artificial concept that is used to group a set of 
> > nodes that are presumably "on" a same link.
> 
> Is a "subnet" the set of nodes with addresses assigned from a 
> single prefix?
> Is there an assumption that all nodes in a subnet have 
> bi-directional reachability?  Is that reachability achieved 
> without routing and without TTL decrement?
> 

That is what I understand as a subnet: a set of nodes that shares 
a network prefix. Again, from the way IP routing decision works 
(i.e., a node sends/forwards packets to an interface that sits on the 
subnet prefix if the packet is destined to a node in the same subnet), 
it seems to me that the bi-directional L2 reachability is assumed 
within a subnet. Or, am I missing something?

> > Note that this group
> > is not necessarily all nodes on the link as pointed out by Ian. By 
> > assigning/configuring addresses that belongs to the same 
> subnet, this 
> > group of nodes know that all the other nodes in the same 
> subnet (that 
> > can be identified with their IP addresses and netmask) can 
> be reached 
> > by just relying on the link, without getting any L3/IP routing 
> > involved. If we limit the discussion to providing multihop 
> > connectivity at the layer
> > 3 (i.e., the multi-hop nature is exposed to L3 compared to L2 MANET 
> > solutions that present an ethernet-like view of MANET to L3),
> 
> Is this the point at which we need to add fixes to IP?  Is 
> there a fundamental assumption in IP that an L2 layer is 
> always "single hop" for IP?
>

Again, some of fundamental components such as ARP and IPv6 ND will
break when L2 is not a single hop for IP. Do we "fix" IP so that IP can
handle 
such situations or do we make all L2 look like an ethernet to IP? I'm
not 
making any strong claim for either at this point. I think both can be
viable
solutions depending on the application domain and deployment scenarios.
Also, I think we can preserve much of existing semantics by "fixing"
some 
of the protocols (compared to the IP) that obviously rely on the "single
hop" 
view such as ARP and IPv6 ND. 

- Seung

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf